InterQJournalProtocolTranslatorPB (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.qjournal.protocolPB, class: InterQJournalProtocolTranslatorPB

Package org.apache.hadoop.hdfs.qjournal.protocolPB

# Class InterQJournalProtocolTranslatorPB

java.lang.Object
org.apache.hadoop.hdfs.qjournal.protocolPB.InterQJournalProtocolTranslatorPB

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `InterQJournalProtocol`, `org.apache.hadoop.ipc.ProtocolMetaInterface`

@Private @Stable public class InterQJournalProtocolTranslatorPB extends Object implements org.apache.hadoop.ipc.ProtocolMetaInterface, InterQJournalProtocol, Closeable
This class is the client side translator to translate the requests made on `InterQJournalProtocol` interfaces to the RPC server implementing `InterQJournalProtocolPB`.

- ## Field Summary

  ### Fields inherited from interface org.apache.hadoop.hdfs.qjournal.protocol.InterQJournalProtocol

  `versionID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InterQJournalProtocolTranslatorPB(InterQJournalProtocolPB rpcProxy)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `QJournalProtocolProtos.GetEditLogManifestResponseProto`
  `getEditLogManifestFromJournal(String jid, String nameServiceId, long sinceTxId, boolean inProgressOk)`
  `org.apache.hadoop.hdfs.protocol.proto.HdfsServerProtos.StorageInfoProto`
  `getStorageInfo(String jid, String nameServiceId)`
  Get the storage info for the specified journal.
  `boolean`
  `isMethodSupported(String methodName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InterQJournalProtocolTranslatorPB

    public InterQJournalProtocolTranslatorPB(InterQJournalProtocolPB rpcProxy)

- ## Method Details

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`

  - ### getEditLogManifestFromJournal

    public QJournalProtocolProtos.GetEditLogManifestResponseProto getEditLogManifestFromJournal(String jid, String nameServiceId, long sinceTxId, boolean inProgressOk) throws IOException
    Specified by:
      `getEditLogManifestFromJournal` in interface `InterQJournalProtocol`
    Parameters:
      `jid` - the journal from which to enumerate edits
      `sinceTxId` - the first transaction which the client cares about
      `inProgressOk` - whether or not to check the in-progress edit log segment
    Returns:
      a list of edit log segments since the given transaction ID.
    Throws:
      `IOException`

  - ### getStorageInfo

    public org.apache.hadoop.hdfs.protocol.proto.HdfsServerProtos.StorageInfoProto getStorageInfo(String jid, String nameServiceId) throws IOException
    Description copied from interface: `InterQJournalProtocol`
    Get the storage info for the specified journal.
    Specified by:
      `getStorageInfo` in interface `InterQJournalProtocol`
    Parameters:
      `jid` - the journal identifier
      `nameServiceId` - the name service id
    Returns:
      the storage info object
    Throws:
      `IOException`

  - ### isMethodSupported

    public boolean isMethodSupported(String methodName) throws IOException
    Specified by:
      `isMethodSupported` in interface `org.apache.hadoop.ipc.ProtocolMetaInterface`
    Throws:
      `IOException`